import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { AuthenticationService } from './../../services/authentication.service';
import { SharePointService } from './../../../sharepoint/services/sharepoint.service';
export declare class LoginFormComponent implements OnInit {
    dialogRef: MatDialogRef<LoginFormComponent>;
    private sharePointService;
    authenticationService: AuthenticationService;
    username: string;
    password: string;
    loginError: boolean;
    constructor(dialogRef: MatDialogRef<LoginFormComponent>, sharePointService: SharePointService, authenticationService: AuthenticationService);
    ngOnInit(): void;
    authenticate(): void;
}
